OORQO API
Contacts

Update a contact

Only the fields you send change. A `phone_e164` another contact already has is `422 validation_failed`.

PATCH
/v1/contacts/{id}

Only the fields you send change. A phone_e164 another contact already has is 422 validation_failed.

Authorization

http
headerAuthorizationBearer <token>

Path Parameters

id*integer

Request Body

application/json
  1. body
phone_e164?string
Match^\+[1-9]\d{6,14}$
email?string
Formatemail
Lengthlength <= 255
first_name?string
Lengthlength <= 100
last_name?string
Lengthlength <= 100
country?string
Length2 <= length <= 2
language?string
Lengthlength <= 10
opt_in_whatsapp?boolean
custom_fields?array<string>|
Itemsitems <= 50
source?string
Lengthlength <= 100

Response Body

Contact

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://app.orqo.site/api/v1/contacts/0' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "id": 0,    "uuid": "string",    "phone_e164": "string",    "email": "string",    "first_name": "string",    "last_name": "string",    "full_name": "string",    "country": "string",    "language": "string",    "opt_in_whatsapp": true,    "custom_fields": {      "property1": "string",      "property2": "string"    },    "tags": [      "string"    ],    "avatar_url": "string",    "source": "string",    "last_seen_at": "string",    "created_at": "string",    "updated_at": "string"  }}